Loading...
Searching...
No Matches
itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType > Class Template Reference
Components » Transforms

`#include <itkDeformationFieldInterpolatingTransform.h>`

## Detailed Description

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>
class itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >

Transform that interpolates a given deformation field.

A simple transform that allows the user to set a deformation field. TransformPoint adds the displacement to the input point. This transform does not support optimizers. Its Set/GetParameters is not implemented. DO NOT USE IT FOR REGISTRATION. You may set your own interpolator!

Definition at line 46 of file itkDeformationFieldInterpolatingTransform.h.

Inheritance diagram for itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | DefaultDeformationFieldInterpolatorType
using | DeformationFieldComponentType = TComponentType
using | DeformationFieldInterpolatorPointer = typename DeformationFieldInterpolatorType::Pointer
using | DeformationFieldInterpolatorType = VectorInterpolateImageFunction<DeformationFieldType, ScalarType>
using | DeformationFieldPointer = typename DeformationFieldType::Pointer
using | DeformationFieldType = Image<DeformationFieldVectorType, Self::InputSpaceDimension>
using | DeformationFieldVectorType = Vector<DeformationFieldComponentType, Self::OutputSpaceDimension>
using | InternalMatrixType
using | JacobianOfSpatialHessianType
using | JacobianOfSpatialJacobianType
using | NonZeroJacobianIndicesType
using | Pointer = SmartPointer<Self>
using | Self = DeformationFieldInterpolatingTransform
using | SpatialHessianType
using | SpatialJacobianType
using | Superclass = AdvancedTransform<TScalarType, NDimensions, NDimensions>
Public Types inherited from itk::AdvancedTransform< double, 3, 3 >
using | ConstPointer
using | InternalMatrixType
using | InverseTransformBaseType
using | JacobianOfSpatialHessianType
using | JacobianOfSpatialJacobianType
using | MovingImageGradientType
using | MovingImageGradientValueType
using | NonZeroJacobianIndicesType
using | Pointer
using | Self
using | SpatialHessianType
using | SpatialJacobianType
using | Superclass
using | TransformType
using | TransformTypeConstPointer
using | TransformTypePointer

## Public Member Functions

virtual const char * | GetClassName () const
const ParametersType & | GetFixedParameters () const override
void | GetJacobian (const InputPointType &, JacobianType &, NonZeroJacobianIndicesType &) const override
void | GetJacobianOfSpatialHessian (const InputPointType &, JacobianOfSpatialHessianType &, NonZeroJacobianIndicesType &) const override
void | GetJacobianOfSpatialHessian (const InputPointType &, SpatialHessianType &, JacobianOfSpatialHessianType &, NonZeroJacobianIndicesType &) const override
void | GetJacobianOfSpatialJacobian (const InputPointType &, JacobianOfSpatialJacobianType &, NonZeroJacobianIndicesType &) const override
void | GetJacobianOfSpatialJacobian (const InputPointType &, SpatialJacobianType &, JacobianOfSpatialJacobianType &, NonZeroJacobianIndicesType &) const override
void | GetSpatialHessian (const InputPointType &, SpatialHessianType &) const override
void | GetSpatialJacobian (const InputPointType &, SpatialJacobianType &) const override
bool | IsLinear () const override
| ITK_DISALLOW_COPY_AND_MOVE (DeformationFieldInterpolatingTransform)
| itkGetModifiableObjectMacro (DeformationField, DeformationFieldType)
| itkGetModifiableObjectMacro (DeformationFieldInterpolator, DeformationFieldInterpolatorType)
| itkStaticConstMacro (InputSpaceDimension, unsigned int, Superclass::InputSpaceDimension)
| itkStaticConstMacro (OutputSpaceDimension, unsigned int, Superclass::OutputSpaceDimension)
virtual void | SetDeformationField (DeformationFieldType *_arg)
virtual void | SetDeformationFieldInterpolator (DeformationFieldInterpolatorType *_arg)
void | SetFixedParameters (const ParametersType &) override
void | SetIdentity ()
void | SetParameters (const ParametersType &) override
OutputCovariantVectorType | TransformCovariantVector (const InputCovariantVectorType &) const override
OutputPointType | TransformPoint (const InputPointType &point) const override
OutputVectorType | TransformVector (const InputVectorType &) const override
OutputVnlVectorType | TransformVector (const InputVnlVectorType &) const override
Public Member Functions inherited from itk::AdvancedTransform< double, 3, 3 >
void | ComputeJacobianWithRespectToParameters (const InputPointType &, JacobianType &) const override
virtual void | EvaluateJacobianWithImageGradientProduct (const InputPointType &inputPoint, const MovingImageGradientType &movingImageGradient, DerivativeType &imageJacobian, NonZeroJacobianIndicesType &nonZeroJacobianIndices) const
virtual bool | GetHasNonZeroJacobianOfSpatialHessian () const
virtual bool | GetHasNonZeroSpatialHessian () const
virtual NumberOfParametersType | GetNumberOfNonZeroJacobianIndices () const
| ITK_DISALLOW_COPY_AND_MOVE (AdvancedTransform)
| itkStaticConstMacro (InputSpaceDimension, unsigned int, NInputDimensions)

## Static Public Member Functions

static Pointer | New ()

## Protected Types

using | InputContinuousIndexType = typename DeformationFieldInterpolatorType::ContinuousIndexType
using | InterpolatorOutputType = typename DeformationFieldInterpolatorType::OutputType

## Protected Member Functions

| DeformationFieldInterpolatingTransform ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~DeformationFieldInterpolatingTransform () override=default
Protected Member Functions inherited from itk::AdvancedTransform< double, 3, 3 >
| AdvancedTransform ()=default
| ~AdvancedTransform () override=default

## Protected Attributes

DeformationFieldPointer | m_DeformationField {}
DeformationFieldInterpolatorPointer | m_DeformationFieldInterpolator {}
DeformationFieldPointer | m_ZeroDeformationField {}
Protected Attributes inherited from itk::AdvancedTransform< double, 3, 3 >
bool | m_HasNonZeroJacobianOfSpatialHessian
bool | m_HasNonZeroSpatialHessian

## Member Typedef Documentation

## ConstPointer

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::ConstPointer = SmartPointer<const Self>

Definition at line 56 of file itkDeformationFieldInterpolatingTransform.h.

## DefaultDeformationFieldInterpolatorType

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::DefaultDeformationFieldInterpolatorType

Initial value:
VectorNearestNeighborInterpolateImageFunction<DeformationFieldType, ScalarType>

Definition at line 96 of file itkDeformationFieldInterpolatingTransform.h.

## DeformationFieldComponentType

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::DeformationFieldComponentType = TComponentType

Definition at line 89 of file itkDeformationFieldInterpolatingTransform.h.

## DeformationFieldInterpolatorPointer

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::DeformationFieldInterpolatorPointer = typename DeformationFieldInterpolatorType::Pointer

Definition at line 95 of file itkDeformationFieldInterpolatingTransform.h.

## DeformationFieldInterpolatorType

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::DeformationFieldInterpolatorType = VectorInterpolateImageFunction<DeformationFieldType, ScalarType>

Definition at line 94 of file itkDeformationFieldInterpolatingTransform.h.

## DeformationFieldPointer

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::DeformationFieldPointer = typename DeformationFieldType::Pointer

Definition at line 92 of file itkDeformationFieldInterpolatingTransform.h.

## DeformationFieldType

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::DeformationFieldType = Image<DeformationFieldVectorType, Self::InputSpaceDimension>

Definition at line 91 of file itkDeformationFieldInterpolatingTransform.h.

## DeformationFieldVectorType

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::DeformationFieldVectorType = Vector<DeformationFieldComponentType, Self::OutputSpaceDimension>

Definition at line 90 of file itkDeformationFieldInterpolatingTransform.h.

## InputContinuousIndexType

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::InputContinuousIndexType = typename DeformationFieldInterpolatorType::ContinuousIndexType

protected

Typedef which is used internally

Definition at line 248 of file itkDeformationFieldInterpolatingTransform.h.

## InternalMatrixType

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >::InternalMatrixType

Definition at line 140 of file itkAdvancedTransform.h.

## InterpolatorOutputType

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::InterpolatorOutputType = typename DeformationFieldInterpolatorType::OutputType

protected

Definition at line 249 of file itkDeformationFieldInterpolatingTransform.h.

## JacobianOfSpatialHessianType

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >::JacobianOfSpatialHessianType

Definition at line 139 of file itkAdvancedTransform.h.

## JacobianOfSpatialJacobianType

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >::JacobianOfSpatialJacobianType

Definition at line 135 of file itkAdvancedTransform.h.

## NonZeroJacobianIndicesType

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >::NonZeroJacobianIndicesType

Types for the (Spatial)Jacobian/Hessian. Using an itk::FixedArray instead of an std::vector gives a performance gain for the SpatialHessianType.

Definition at line 133 of file itkAdvancedTransform.h.

## Pointer

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::Pointer = SmartPointer<Self>

Definition at line 55 of file itkDeformationFieldInterpolatingTransform.h.

## Self

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::Self = DeformationFieldInterpolatingTransform

Standard class typedefs.

Definition at line 53 of file itkDeformationFieldInterpolatingTransform.h.

## SpatialHessianType

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >::SpatialHessianType

Definition at line 137 of file itkAdvancedTransform.h.

## SpatialJacobianType

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::AdvancedTransform< TScalarType, NInputDimensions, NOutputDimensions >::SpatialJacobianType

Definition at line 134 of file itkAdvancedTransform.h.

## Superclass

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

using itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::Superclass = AdvancedTransform<TScalarType, NDimensions, NDimensions>

Definition at line 54 of file itkDeformationFieldInterpolatingTransform.h.

## Constructor & Destructor Documentation

## DeformationFieldInterpolatingTransform()

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::DeformationFieldInterpolatingTransform | ( |  | ) |

protected

## ~DeformationFieldInterpolatingTransform()

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::~DeformationFieldInterpolatingTransform | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

virtual const char * itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::AdvancedTransform< double, 3, 3 >.

## GetFixedParameters()

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

const ParametersType & itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::GetFixedParameters | ( |  | ) | const

inline override

Get the Fixed Parameters.

Definition at line 122 of file itkDeformationFieldInterpolatingTransform.h.

## GetJacobian()

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

void itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::GetJacobian | ( | const InputPointType & | ,
|  | JacobianType & | ,
|  | NonZeroJacobianIndicesType & | ) const

inline override virtual

Must be provided.

Implements itk::AdvancedTransform< double, 3, 3 >.

Definition at line 185 of file itkDeformationFieldInterpolatingTransform.h.

## GetJacobianOfSpatialHessian() [1/2]

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

void itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::GetJacobianOfSpatialHessian | ( | const InputPointType & | ,
|  | JacobianOfSpatialHessianType & | ,
|  | NonZeroJacobianIndicesType & | ) const

inline override virtual

Implements itk::AdvancedTransform< double, 3, 3 >.

Definition at line 225 of file itkDeformationFieldInterpolatingTransform.h.

## GetJacobianOfSpatialHessian() [2/2]

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

void itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::GetJacobianOfSpatialHessian | ( | const InputPointType & | ,
|  | SpatialHessianType & | ,
|  | JacobianOfSpatialHessianType & | ,
|  | NonZeroJacobianIndicesType & | ) const

inline override

Definition at line 234 of file itkDeformationFieldInterpolatingTransform.h.

## GetJacobianOfSpatialJacobian() [1/2]

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

void itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::GetJacobianOfSpatialJacobian | ( | const InputPointType & | ,
|  | JacobianOfSpatialJacobianType & | ,
|  | NonZeroJacobianIndicesType & | ) const

inline override virtual

Implements itk::AdvancedTransform< double, 3, 3 >.

Definition at line 206 of file itkDeformationFieldInterpolatingTransform.h.

## GetJacobianOfSpatialJacobian() [2/2]

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

void itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::GetJacobianOfSpatialJacobian | ( | const InputPointType & | ,
|  | SpatialJacobianType & | ,
|  | JacobianOfSpatialJacobianType & | ,
|  | NonZeroJacobianIndicesType & | ) const

inline override

Definition at line 215 of file itkDeformationFieldInterpolatingTransform.h.

## GetSpatialHessian()

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

void itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::GetSpatialHessian | ( | const InputPointType & | ,
|  | SpatialHessianType & | ) const

inline override virtual

Implements itk::AdvancedTransform< double, 3, 3 >.

Definition at line 199 of file itkDeformationFieldInterpolatingTransform.h.

## GetSpatialJacobian()

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

void itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::GetSpatialJacobian | ( | const InputPointType & | ,
|  | SpatialJacobianType & | ) const

inline override virtual

Implements itk::AdvancedTransform< double, 3, 3 >.

Definition at line 192 of file itkDeformationFieldInterpolatingTransform.h.

## IsLinear()

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

bool itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::IsLinear | ( |  | ) | const

inline override

Definition at line 178 of file itkDeformationFieldInterpolatingTransform.h.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::ITK_DISALLOW_COPY_AND_MOVE | ( | DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType > |  | ) |

## itkGetModifiableObjectMacro() [1/2]

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::itkGetModifiableObjectMacro | ( | DeformationField | ,
|  | DeformationFieldType | )

## itkGetModifiableObjectMacro() [2/2]

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::itkGetModifiableObjectMacro | ( | DeformationFieldInterpolator | ,
|  | DeformationFieldInterpolatorType | )

## itkStaticConstMacro() [1/2]

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::itkStaticConstMacro | ( | InputSpaceDimension | ,
|  | unsigned int | ,
|  | Superclass::InputSpaceDimension | )

Dimension of the domain spaces.

## itkStaticConstMacro() [2/2]

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::itkStaticConstMacro | ( | OutputSpaceDimension | ,
|  | unsigned int | ,
|  | Superclass::OutputSpaceDimension | )

## New()

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

Pointer itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::New | ( |  | ) |

static

New macro for creation of through the object factory.

## PrintSelf()

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

void itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

Print contents of an DeformationFieldInterpolatingTransform.

## SetDeformationField()

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

virtual void itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::SetDeformationField | ( | DeformationFieldType * | _arg | ) |

virtual

Set/Get the deformation field that defines the displacements

## SetDeformationFieldInterpolator()

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

virtual void itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::SetDeformationFieldInterpolator | ( | DeformationFieldInterpolatorType * | _arg | ) |

virtual

Set/Get the deformation field interpolator

## SetFixedParameters()

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

void itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::SetFixedParameters | ( | const ParametersType & |  | ) |

inline override

Set the fixed parameters.

Definition at line 114 of file itkDeformationFieldInterpolatingTransform.h.

## SetIdentity()

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

void itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::SetIdentity | ( |  | ) |

Make this an identity transform ( the deformation field is replaced by a zero deformation field

## SetParameters()

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

void itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::SetParameters | ( | const ParametersType & |  | ) |

inline override

Set the transformation parameters is not supported. Use SetDeformationField() instead

Definition at line 103 of file itkDeformationFieldInterpolatingTransform.h.

## TransformCovariantVector()

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

OutputCovariantVectorType itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::TransformCovariantVector | ( | const InputCovariantVectorType & |  | ) | const

inline override

Definition at line 153 of file itkDeformationFieldInterpolatingTransform.h.

## TransformPoint()

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

OutputPointType itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::TransformPoint | ( | const InputPointType & | point | ) | const

override

Transform a point. This method adds a displacement to a given point, returning the transformed point.

## TransformVector() [1/2]

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

OutputVectorType itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::TransformVector | ( | const InputVectorType & |  | ) | const

inline override

These vector transforms are not implemented for this transform.

Definition at line 137 of file itkDeformationFieldInterpolatingTransform.h.

## TransformVector() [2/2]

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

OutputVnlVectorType itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::TransformVector | ( | const InputVnlVectorType & |  | ) | const

inline override

Definition at line 145 of file itkDeformationFieldInterpolatingTransform.h.

## Field Documentation

## m_DeformationField

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

DeformationFieldPointer itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::m_DeformationField {}

protected

Definition at line 255 of file itkDeformationFieldInterpolatingTransform.h.

## m_DeformationFieldInterpolator

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

DeformationFieldInterpolatorPointer itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::m_DeformationFieldInterpolator {}

protected

Definition at line 257 of file itkDeformationFieldInterpolatingTransform.h.

## m_ZeroDeformationField

template<class TScalarType = double, unsigned int NDimensions = 3, class TComponentType = double>

DeformationFieldPointer itk::DeformationFieldInterpolatingTransform< TScalarType, NDimensions, TComponentType >::m_ZeroDeformationField {}

protected

Definition at line 256 of file itkDeformationFieldInterpolatingTransform.h.

Generated on 1768596610 for elastix by 1.15.0 |